<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:26 PST 2005 -->
<TITLE>
: Interface  PersistentTable
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PersistentTable.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/DerivedTable.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/SQLTablesFactory.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PersistentTable.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.tables</FONT>
<BR>
Interface  PersistentTable</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/BaseTable.html">BaseTable</A>, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html">Table</A></DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/impl/PersistentTableImpl.html">PersistentTableImpl</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>PersistentTable</B><DT>extends <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/BaseTable.html">BaseTable</A></DL>

<P>
<!-- begin-user-doc -->
 A representation of the model object '<em><b>Persistent Table</b></em>'.
 <!-- end-user-doc -->

 <!-- begin-model-doc -->
 4.14 Tables
 
 A table is a collection of rows having one or more columns. [...]
 
 A table is either a base table, a derived table, or a transient table.
 
 A base table is either a persistent base table, a global temporary table, a created local temporary table, or a declared local temporary table.
 
 <!-- end-model-doc -->
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/SQLTablesPackage.html#getPersistentTable()"><CODE>SQLTablesPackage.getPersistentTable()</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.tables.BaseTable"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.tables.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/BaseTable.html">BaseTable</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/BaseTable.html#getConstraints()">getConstraints</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/BaseTable.html#getForeignKeys()">getForeignKeys</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/BaseTable.html#getPrimaryKey()">getPrimaryKey</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/BaseTable.html#getUniqueConstraints()">getUniqueConstraints</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.tables.Table"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.tables.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html">Table</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#getColumns()">getColumns</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#getIndex()">getIndex</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#getSchema()">getSchema</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#getSelfRefColumnGeneration()">getSelfRefColumnGeneration</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#getSubtables()">getSubtables</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#getSupertable()">getSupertable</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#getTriggers()">getTriggers</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#getUdt()">getUdt</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#isInsertable()">isInsertable</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#isUpdatable()">isUpdatable</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#setSchema(org.eclipse.wst.rdb.internal.models.sql.schema.Schema)">setSchema</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#setSelfRefColumnGeneration(org.eclipse.wst.rdb.internal.models.sql.tables.ReferenceType)">setSelfRefColumnGeneration</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#setSupertable(org.eclipse.wst.rdb.internal.models.sql.tables.Table)">setSupertable</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/Table.html#setUdt(org.eclipse.wst.rdb.internal.models.sql.datatypes.StructuredUserDefinedType)">setUdt</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.schema.SQLObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.schema.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#addEAnnotation(java.lang.String)">addEAnnotation</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#addEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">addEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getDependencies()">getDependencies</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getDescription()">getDescription</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getEAnnotation(java.lang.String)">getEAnnotation</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">getEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getLabel()">getLabel</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#removeEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">removeEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">setAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setDescription(java.lang.String)">setDescription</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setLabel(java.lang.String)">setLabel</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.ENamedElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.ENamedElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EModelElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EModelElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PersistentTable.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/DerivedTable.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/SQLTablesFactory.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PersistentTable.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
